Org Chart

View as Markdown

Get Org Chart

GET/api/v1/org-chart

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/org-chart" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Replace Managers

PUT/api/v1/org-chart/agents/{hire_id}/managers

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X PUT "https://app.opvs.ai/api/v1/org-chart/agents/{hire_id}/managers" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

List Report Rules

GET/api/v1/org-chart/report-rules

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/org-chart/report-rules" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Get Agent Rules

GET/api/v1/org-chart/agents/{hire_id}/rules

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/org-chart/agents/{hire_id}/rules" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Put Agent Rules

PUT/api/v1/org-chart/agents/{hire_id}/rules

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X PUT "https://app.opvs.ai/api/v1/org-chart/agents/{hire_id}/rules" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Upsert Report Rule

PUT/api/v1/org-chart/agents/{hire_id}/report-rules

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X PUT "https://app.opvs.ai/api/v1/org-chart/agents/{hire_id}/report-rules" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Delete Report Rule

DELETE/api/v1/org-chart/agents/{hire_id}/report-rules

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X DELETE "https://app.opvs.ai/api/v1/org-chart/agents/{hire_id}/report-rules" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Get Claiming

GET/api/v1/org-chart/agents/{hire_id}/claiming

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl "https://app.opvs.ai/api/v1/org-chart/agents/{hire_id}/claiming" \
  -H "Authorization: Bearer $OPVS_TOKEN"

Set Claim Roles

PUT/api/v1/org-chart/agents/{hire_id}/claiming

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X PUT "https://app.opvs.ai/api/v1/org-chart/agents/{hire_id}/claiming" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Add Claim Column

POST/api/v1/org-chart/agents/{hire_id}/claiming/columns

Errors

CodeWhenWhat to do
422Validation Error—
Request
curl -X POST "https://app.opvs.ai/api/v1/org-chart/agents/{hire_id}/claiming/columns" \
  -H "Authorization: Bearer $OPVS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
Did this answer your question?